# ##### BEGIN GPL LICENSE BLOCK #####
#
#  Authors:             Thomas Larsson
#  Script copyright (C) Thomas Larsson 2014
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# ##### END GPL LICENSE BLOCK #####

import os

Attributes = [
    "useExtensions", "useAutoweight", "useCustomWeights", "useOffset", "useCorrectiveSmooth", "useSubsurf",
    "subsurfViewLevels", "subsurfRenderLevels"
    #"useRotationLimits",
    #"mergeBodyParts", "mergeToProxy", "mergeMaxType",
    #"useFaceShapes", "useFacePanel", "useFaceShapeDrivers", "useFaceRigDrivers",
    #"useMasks", "useConservativeMasks"
]

class Config:

    def __init__(self):
        #self.scale = 1.0
        #self.deleteHelpers = False
        #self.folder = ""
        self.setDefaults()

    def __repr__(self):
        string = "<Config\n"
        for attr in Attributes:
            string += "  %s: %s\n" % (attr, getattr(self, attr))
        return string + ">"

    def getMeshType(self):
        return "mesh"
        #if self.useHelpers:
        #    return "seed_mesh"
        #else:
        #    return "mesh"

    def fromSettings(self, settings):
        for attr in Attributes:
            setattr(self, attr, getattr(settings, attr))
        return self


    def setDefaults(self):
        self.useExtensions = True
        self.useAutoweight = False
        self.useCustomWeights = True
        self.useOffset = True
        self.useCorrectiveSmooth = True
        self.useSubsurf = True
        self.subsurfViewLevels = 1
        self.subsurfRenderLevels = 2
        
        return self
